Installing FileUtils


#1

My current version of Ruby 1.8.6 (on Windows) doesn’t seem to include
the FileUtils library (if I type require ‘fileutils’ in IRB I get
“false”). How can I download and install this library?


#2

Alex DeCaria wrote:

My current version of Ruby 1.8.6 (on Windows) doesn’t seem to include
the FileUtils library (if I type require ‘fileutils’ in IRB I get
“false”). How can I download and install this library?

‘false’ from require just means that it was already loaded. You would
get a LoadError if you didn’t have the library.

irb(main):001:0> require ‘fileutils’
=> true
irb(main):002:0> require ‘fileutils’
=> false
irb(main):003:0> require ‘bob’
LoadError: no such file to load – bob
from (irb):3:in `require’
from (irb):3

-Justin


#3

Justin C. wrote:

Alex DeCaria wrote:

My current version of Ruby 1.8.6 (on Windows) doesn’t seem to include
the FileUtils library (if I type require ‘fileutils’ in IRB I get
“false”). How can I download and install this library?

‘false’ from require just means that it was already loaded. You would
get a LoadError if you didn’t have the library.

irb(main):001:0> require ‘fileutils’
=> true
irb(main):002:0> require ‘fileutils’
=> false
irb(main):003:0> require ‘bob’
LoadError: no such file to load – bob
from (irb):3:in `require’
from (irb):3

-Justin

Thanks!

Alex